# Interface PipeDataSourceMetadata

interface PipeDataSourceMetadata {
id: string;
refreshParent?: boolean;
restore?: boolean;
[key: string]: any;
}

#### Hierarchy (View Summary)

- BaseDataSourceMetadata
  - PipeDataSourceMetadata

#### Indexable

- [key: string]: any

- Defined in packages/angular/data-source/src/lib/pipe.data-source.ts:31

#####
Index

### Properties

id
refreshParent?
restore?

##
Properties

### id

id: string

Inherited from BaseDataSourceMetadata.id

- Defined in packages/angular/definition/src/lib/definition.metadata.ts:9

### `Optional` refreshParent

refreshParent?: boolean

If true the parent data source will be refreshed when the pipe data source is refreshed

#### Default

    false

- Defined in packages/angular/data-source/src/lib/pipe.data-source.ts:36

### `Optional` restore

restore?: boolean

Indicates weather the data source should restore the last value from local storage

Inherited from BaseDataSourceMetadata.restore

- Defined in packages/angular/data-source/src/lib/base.data-source.ts:58